Bug 207908 - Please add rotation of /var/log/lastlog in sysklogd
Please add rotation of /var/log/lastlog in sysklogd
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysklogd (Show other bugs)
4.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Vrabec
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 06:57 EDT by Lior Kaplan
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 04:01:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lior Kaplan 2006-09-25 06:57:20 EDT
Please add rotation of /var/log/lastlog to /etc/logrotate.d/syslog, which is
provided by sysklogd package (I have version 1.4.1-26_EL).

Thanks.
Comment 1 Peter Vrabec 2006-11-10 04:01:24 EST
There is no need to rotate /var/log/lastlog, this file is not growing in size.
Comment 2 Lior Kaplan 2006-12-15 02:30:03 EST
Please add a comment in its man page, like in debian about this issue.

NOTE
       The lastlog file is a database which contains info on the last login of
       each user. You should not rotate it. It is a sparse file, so its size
       on the disk is usually much smaller than the one shown by "ls -l"
       (which can indicate a really big file if you have in passwd users with
       a high UID). You can display its real size with "ls -s".


Thanks.
Comment 3 Peter Vrabec 2006-12-15 05:38:17 EST
This note is already in man page, added by upstream.

Note You need to log in before you can comment on or make changes to this bug.